image: python:3.8-slim

stages:
  - test

before_script:
  - pip install --upgrade pip
  - pip install poetry
  - poetry install

test:
  stage: test
  script:
    - poetry run flake8 .
    - poetry run mypy --strict .
    - poetry run pytest --maxfail=1
